Subject: bug#66864: emacs-build-system builds .eln-files with mismatching path-hashes

From: Josselin Poiret <[email-masked]>
Date: Thu, 09 Nov 2023 12:21:20 +0100

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Donnerstag, dem 02.11.2023 um 08:13 +0000 schrieb Mekeor Melire:
>> 
>> 2023-11-01 15:16 [email-masked]:
>> 
>> > I think Emacs might be calculating its own hash at runtime 
>> > rather than baking in the value at build time.
>> 
>> Exactly. That's what I was trying to express.
> I'm not sure whether this is reproducible.  On my system
>   $ guix build emacs-dash --with-input=emacs-minimal=emacs
>   /gnu/store/zr16hd25338imljqxxfsf07smbfv3wxd-emacs-dash-2.19.1
>   $ ls /gnu/store/zr16hd25338imljqxxfsf07smbfv3wxd-emacs-dash-2.19.1/lib/emacs/native-site-lisp
>   29.1-e9e5c1ce
>   $ emacs --batch --eval='(message "%s" comp-abi-hash)'
>   e9e5c1ce
> Looks like everything's alright?

It's the .eln file itself that has the hash of the .el's path in its
name.  That's computed by `comp-el-to-eln-filename`.

Best,
-- 
Josselin Poiret